## gtool5 20100413

=== debian/changelog ===
gtool5 (20100413-1) unstable; urgency=low

  * Imported Upstream version 20100413
  * remove AddAliasDebugtoDCUTILS: merge upstream
  * remove temporary creating files

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Wed, 12 May 2010 14:30:10 +0900

gtool5 (20090809-5) unstable; urgency=low

  * Change Source format: 3.0 (quilt)

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Sun, 21 Mar 2010 15:20:05 +0000

gtool5 (20090809-4) unstable; urgency=low

  * Remove OMPI_FC variables 

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Thu, 18 Feb 2010 23:08:54 +0900

gtool5 (20090809-3) unstable; urgency=low

  * Typo fixed 

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Tue, 05 Jan 2010 09:53:21 +0900

gtool5 (20090809-2) unstable; urgency=low

  * Typo fixed 

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Thu, 31 Dec 2009 14:43:18 +0900

gtool5 (20090809-1) unstable; urgency=low

  * New Upstream Release
  * Update Standard Version

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Sun, 06 Sep 2009 15:39:07 +0900

gtool5 (20090704-2) unstable; urgency=low

  * Update debian/rules
  * Bumped 3.8.2
  * Add pesude man files

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Tue, 14 Jul 2009 21:47:55 +0900

gtool5 (20090704-1) unstable; urgency=low

  * New upstream release

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Tue, 14 Jul 2009 15:16:19 +0900
