=== debian/changelog ===
gtool5 (20101228-3) unstable; urgency=low

  * Update SYSFFLAGS
  * Rebuild against newer GCC/OpenMPI

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Tue, 20 Aug 2013 03:11:02 +0900

gtool5 (20101228-2) unstable; urgency=low

  * Fix quilt usage
  * rebuild for gcc/openmpi update

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Mon, 14 Mar 2011 20:50:29 +0900

gtool5 (20101228-1) unstable; urgency=low

  * New Upstream release: 20101228
  * Use tarball.mk for odd upstream make rules


 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Mon, 24 Jan 2011 18:35:11 +0900

gtool5 (20101006-1) unstable; urgency=low

  * Imported Upstream Version: 20101006

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Wed, 22 Dec 2010 16:22:47 +0900
