=== debian/control ===
Source: gtool5
Section: science
Priority: optional
Maintainer: Youhei SASAKI <uwabami@gfd-dennou.org>
Build-Depends: cdbs, debhelper (>= 7.0.50~), 
 autotools-dev, libopenmpi-dev, openmpi-bin, gfortran, 
 libnetcdf-dev, netcdf-bin, rdtool, ruby1.8, quilt
Standards-Version: 3.8.4
Homepage: http://www.gfd-dennou.org/library/gtool/index.htm.en

Package: gtool5
Architecture: any
Section: libdevel
Suggests: gtool5-doc, netcdf-bin
Depends: ${shlibs:Depends}, ${misc:Depends}, libnetcdf-dev, gfortran, libopenmpi-dev, openmpi-bin
Description: Fortran90 netCDF I/O library with gtool4 convention
 Gtool5 is a Fortran90 library software to read and write netCDF file
 with gtool4 convention, which is developed by GFD Dennou Club gtool project.
 .
 This package provides static library, header files, wrapper shell scripts.

Package: gtool5-doc
Architecture: all
Section: doc
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Gtool5 Documents (Tutorial and Reference manuals)
 Gtool5 is a Fortran90 library software to read and write netCDF file
 with gtool4 convention, which is developed by GFD Dennou Club gtool project.
 .
 This package provides document and tutorial.
