=== debian/changelog ===
gtool5 (20140131-4~1.gbp5d951b) unstable; urgency=medium

  ** SNAPSHOT build @5d951b9457791403f256caef37d32c9d41b5a849 **

  * UNRELEASED

 -- Jenkins Autobuilder <jenkins@gfd-dennou.org>  Fri, 25 Sep 2015 11:02:45 +0900

gtool5 (20140131-4) unstable; urgency=medium

  * Fix link: gt5frt.mpi, gt5config.mpi

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Thu, 24 Sep 2015 16:21:56 +0900

gtool5 (20140131-3) unstable; urgency=medium

  * Fix install location

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Thu, 24 Sep 2015 10:00:59 +0900

gtool5 (20140131-2) unstable; urgency=medium

  * Update rules: Follow NetCDF package update

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Thu, 27 Aug 2015 19:43:07 +0900

gtool5 (20140131-1) unstable; urgency=medium

  * Change source format: 3.0 (quilt)
  * Update copyright format: 1.0
  * Bump Standard Version: 3.9.5
  * Enable hardening
  * Enable Multiarch Support
  * Drop old alternatives
  * Depends mpi-default-dev instead of openmpi

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Mon, 03 Feb 2014 03:01:54 +0900
